{
  num: -3560028,
  accuracy: 100,
  basePower: 0, 
  category: "Special",
  name: "Burial",
  pp: 5,
  priority: 0,
  flags: { protect: 1 },
  type: "Ghost",
  contestType: "Clever",

  onTryMove(pokemon, target, move) {
  if (!pokemon.blackbutterflyLayers || pokemon.blackbutterflyLayers < 10) {
    this.add('-fail', pokemon, 'move: Burial');
    return false;
    }
    return true;
  },

  onHit(target, source, move) {
    const damage = Math.floor(target.maxhp * 0.95) || 1;
    const finalDamage = target.damage(damage, source, move);
    this.add('-damage', target, target.getHealth, '[from] move: Burial');

    
    source.blackbutterflyLayers = 0;
  },

  target: "normal"
}